#ifndef _Handle_PTopoDS_TWire_HeaderFile
#define _Handle_PTopoDS_TWire_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PTopoDS_TShape_HeaderFile
#include <Handle_PTopoDS_TShape.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PTopoDS_TShape);
class PTopoDS_TWire;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PTopoDS_TWire);

class Handle(PTopoDS_TWire) : public Handle(PTopoDS_TShape) {
  public:

    Handle(PTopoDS_TWire)():Handle(PTopoDS_TShape)() {} 
    Handle(PTopoDS_TWire)(const Handle(PTopoDS_TWire)& aHandle) : Handle(PTopoDS_TShape)(aHandle) 
     {
     }

    Handle(PTopoDS_TWire)(const PTopoDS_TWire* anItem) : Handle(PTopoDS_TShape)((PTopoDS_TShape *)anItem) 
     {
     }

    Handle(PTopoDS_TWire)& operator=(const Handle(PTopoDS_TWire)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PTopoDS_TWire)& operator=(const PTopoDS_TWire* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PTopoDS_TWire* operator->() const 
     {
      return (PTopoDS_TWire *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PTopoDS_TWire) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
